## org.cometd.oort
Class OortServlet

    java.lang.Object
      org.cometd.oort.OortServlet

All Implemented Interfaces:
  javax.servlet.Servlet

    public class OortServlet

extends java.lang.Object
implements javax.servlet.Servlet

Oort Servlet.

This servlet initializes and configures and instance of the `Oort` comet cluster manager. The servlet must be initialized after an instance of `AbstractCometdServlet`, which creates the `Bayeux` instance used.

The following servlet init parameters are used to configure Oort:

oort.url
  The absolute public URL to the cometd servlet.
oort.cloud
  A comma separated list of the oort.urls of other known oort comet servers that are passed to `Oort.observeComet(String)` on startup.
oort.channels
  A comma separated list of channels that will be passed to `Oort.observeChannel(String)`

Author:
  gregw

Constructor Summary
`OortServlet()`

Method Summary
`void` `destroy()`
`javax.servlet.ServletConfig` `getServletConfig()`
`java.lang.String` `getServletInfo()`
`void` `init(javax.servlet.ServletConfig config)`
`void` `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OortServlet

    public OortServlet()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `javax.servlet.Servlet`

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.